Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

release a bouncy-castle-java version with fixes the loading jars #1671

Closed
mkristian opened this Issue Apr 29, 2014 · 1 comment

Comments

Projects
None yet
1 participant
Owner

mkristian commented Apr 29, 2014

some classloaders OSGI classloaders and some servlet classloaders (WAS) can not find any bouncy-castle-java jars since they use file-system globs which do not work on those classloaders. the loading is fixed with jruby-1.7.12 but not with the current bouncy-castle-java version.

any jruby-openssl-0.9.4 gem will break with those classloaders.

see also:
#1435 (comment)
jruby/warbler#238 (comment)

@mkristian mkristian self-assigned this Apr 29, 2014

@mkristian mkristian added this to the Won't Fix milestone Jun 19, 2014

Owner

mkristian commented Jun 19, 2014

with a new jruby-openssl gem that is maybe not needed.

@mkristian mkristian closed this Jun 19, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment